<?php
class ModelToolNitroUpgrade extends ModelToolNitro {
  public function run_upgrade() {
      if (
          !empty($this->request->post['Nitro']['PageCache']['ClearCacheOnProductEdit']) && 
          $this->request->post['Nitro']['PageCache']['ClearCacheOnProductEdit'] == 'yes'
      ) {
          try {
              initNitroProductCacheDb();
          } catch (Exception $e) {}
      }
  }
}
